﻿/* This file contains the method for shrinking and expanding the collapsable sections */

$(".collapse").click(function () {
  if ($(this).html() == "-") {
    $(this).parent().children("canvas, div, fieldset, label").fadeOut();
    $(this).html("+");
  }
  else {
    $(this).parent().children("canvas, div, fieldset, label").fadeIn();
    $(this).html("-");
  }
});

/* Because Task chart sections are created on the fly adding an event listener
  was impossible. Therefore this function is hardcoded as an HTML onclick event
  for the dynamically created buttons of these sections */
function collapseSection(caller) {
  var jqCaller = $(caller);
  if (jqCaller.html() == "-") {
    jqCaller.parent().children("canvas, div, fieldset, label").fadeOut();
    jqCaller.html("+");
  }
  else {
    jqCaller.parent().children("canvas, div, fieldset, label").fadeIn();
    jqCaller.html("-");
  }
}

/* Passed the interior div this fucntion is used to create an automatically collapsed 
  section */
function collapsedByDefault(caller) {
  $(caller).parent().children("canvas, div, fieldset, label").css("display","none");
}

/* Used when scrolling to a task by error, opens the container before task is scrolled to */
function openOnError(caller) {
  var jqCaller = $(caller);
  jqCaller.parent().children("canvas, div, fieldset, label").fadeIn();
  jqCaller.parent().children("button").html("-");
}